## keras 2.0.5

=== DESCRIPTION ===
Package: keras
Type: Package
Title: R Interface to 'Keras'
Version: 2.0.5
Authors@R: c(
  person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
  person("François", "Chollet", role = c("aut", "cph")),
  person("RStudio", role = c("cph", "fnd")),
  person(family = "Google", role = c("ctb", "cph", "fnd")),
  person("Yuan", "Tang", role = c("ctb", "cph")),
  person("Daniel", "Falbel", role = c("ctb", "cph")),
  person("Wouter", "Van Der Bijl", role = c("ctb", "cph")),
  person("Martin", "Studer", role = c("ctb", "cph"))
  )
Description: Interface to 'Keras', a high-level neural networks API which 
  runs on top of 'TensorFlow'. 'Keras' was developed with a focus on enabling
  fast experimentation, supports both convolution based networks and recurrent
  networks (as well as combinations of the two), and runs seamlessly on both 
  'CPU' and 'GPU' devices.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://github.com/rstudio/keras
BugReports: https://github.com/rstudio/keras/issues
Imports: reticulate (>= 1.0), tensorflow (>= 1.3), tfruns, magrittr,
        methods, R6
Suggests: ggplot2, testthat, knitr, rmarkdown
SystemRequirements: TensorFlow >= 1.1 (https://www.tensorflow.org/)
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-07-29 18:14:00 UTC; jjallaire
Author: JJ Allaire [aut, cre],
  François Chollet [aut, cph],
  RStudio [cph, fnd],
  Google [ctb, cph, fnd],
  Yuan Tang [ctb, cph],
  Daniel Falbel [ctb, cph],
  Wouter Van Der Bijl [ctb, cph],
  Martin Studer [ctb, cph]
Maintainer: JJ Allaire <jj@rstudio.com>
Repository: CRAN
Date/Publication: 2017-07-30 05:16:19 UTC

## keras 2.0.6

=== DESCRIPTION ===
Package: keras
Type: Package
Title: R Interface to 'Keras'
Version: 2.0.6
Authors@R: c(
  person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
  person("François", "Chollet", role = c("aut", "cph")),
  person(family = "RStudio", role = c("cph", "fnd")),
  person(family = "Google", role = c("ctb", "cph", "fnd")),
  person("Yuan", "Tang", role = c("ctb", "cph")),
  person("Daniel", "Falbel", role = c("ctb", "cph")),
  person("Wouter", "Van Der Bijl", role = c("ctb", "cph")),
  person("Martin", "Studer", role = c("ctb", "cph"))
  )
Description: Interface to 'Keras' <https://keras.io>, a high-level neural
  networks API. 'Keras' was developed with a focus on enabling fast experimentation,
  supports both convolution based networks and recurrent networks (as well as
  combinations of the two), and runs seamlessly on both 'CPU' and 'GPU' devices.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://keras.rstudio.com
BugReports: https://github.com/rstudio/keras/issues
Depends: R (>= 3.2)
Imports: reticulate (>= 1.1), tensorflow (>= 1.3.1), tfruns (>= 0.9.1),
        magrittr, methods, R6, utils, tools
Suggests: ggplot2, testthat, knitr, rmarkdown
SystemRequirements: Keras >= 2.0 (https://keras.io)
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-08-30 11:31:55 UTC; jjallaire
Author: JJ Allaire [aut, cre],
  François Chollet [aut, cph],
  RStudio [cph, fnd],
  Google [ctb, cph, fnd],
  Yuan Tang [ctb, cph],
  Daniel Falbel [ctb, cph],
  Wouter Van Der Bijl [ctb, cph],
  Martin Studer [ctb, cph]
Maintainer: JJ Allaire <jj@rstudio.com>
Repository: CRAN
Date/Publication: 2017-08-30 11:46:05 UTC

## keras 2.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.0.6
+Version: 2.0.8
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
-  person(family = "RStudio", role = c("cph", "fnd")),
+  person(family = "RStudio", role = c("ctb", "cph", "fnd")),
   person(family = "Google", role = c("ctb", "cph", "fnd")),
   person("Yuan", "Tang", role = c("ctb", "cph")),
   person("Daniel", "Falbel", role = c("ctb", "cph")),
@@ -21,17 +21,17 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.1), tensorflow (>= 1.3.1), tfruns (>= 0.9.1),
-        magrittr, methods, R6, utils, tools
+Imports: reticulate (>= 1.2), tensorflow (>= 1.4), tfruns (>= 0.9.1),
+        magrittr, methods, R6, utils
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-08-30 11:31:55 UTC; jjallaire
+Packaged: 2017-09-30 10:27:31 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
-  RStudio [cph, fnd],
+  RStudio [ctb, cph, fnd],
   Google [ctb, cph, fnd],
   Yuan Tang [ctb, cph],
   Daniel Falbel [ctb, cph],
@@ -39,4 +39,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-08-30 11:46:05 UTC
+Date/Publication: 2017-09-30 10:39:21 UTC

## keras 2.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.0.8
+Version: 2.0.9
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -21,14 +21,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.2), tensorflow (>= 1.4), tfruns (>= 0.9.1),
-        magrittr, methods, R6, utils
+Imports: reticulate (>= 1.3), tensorflow (>= 1.4.1), tfruns (>= 0.9.1),
+        magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-09-30 10:27:31 UTC; jjallaire
+Packaged: 2017-11-17 00:43:28 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -39,4 +39,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-09-30 10:39:21 UTC
+Date/Publication: 2017-11-17 04:11:14 UTC

## keras 2.1.1

=== debian/changelog ===
keras (2.1.1-1) unstable; urgency=medium

  * Team upload.
  [ Stephen Sinclair ]
  * New upstream version 2.1.1.
  * deb/copyright:
    + extend upstream copyright to 2017.
    + add paragraph for images in debian/.
    + add Microsoft as a copyright holder.
  * deb/watch:
    + watch pypi.debian.net instead of Github.
  * Add autopkgtest (checks that module loads, optimizes a simple
    network).
  * Add new package keras-doc:
    + Add keras-doc.docs.
    + Include docs built by mkdocs.
    + Patch to add missing images pulled from Keras website.
    + Patch to build html with locally working links.
    + Patch to remove Google Analytics.
    + Add keras-doc.doc-base.
  * debian/rules:
    + Run a subset of unit tests that currently pass and don't require
      external resources.
    + Add $KERAS_BACKEND=theano to select Theano.
    + Add $THEANO_FLAGS=device=cpu to make tests run on CPU.
    + Add $PYTHONDONTWRITEBYTECODE=1 to avoid producing __pycache__.
    + Add global export for $LC_LANG=C.UTF-8 and $LC_ALL=C.UTF-8.
    + Removed $LC_LANG from links.
  * debian/control:
    + Move source package Section back to science.
    + Move python3-* packages to Section python.
    + Add mkdocs to build-deps for docs.
    + Add python3-pil and python3-pandas to build-deps for tests.
    + Add Vcs-Git and Vcs-Browser fields.

 -- Daniel Stender <stender@debian.org>  Wed, 27 Dec 2017 16:50:42 +0100

keras (1.0.7-2) unstable; urgency=medium

  * Team upload, upload to unstable.
  [ Stephen Sinclair ]
  * Change maintainer to Debian Science, uploader to Stephen Sinclair
    (Closes: #852133).
  * Change Section to python.
  * Add gbp.conf default to using pristine-tar.
  * Adhere to Debian Policy to version 4.1.1.

 -- Daniel Stender <stender@debian.org>  Wed, 01 Nov 2017 17:30:05 +0100

keras (1.0.7-1) experimental; urgency=medium

  * Initial release (Closes: #818106).

 -- Daniel Stender <stender@debian.org>  Wed, 17 Aug 2016 20:46:02 +0200

=== debian/control ===
Source: keras
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Stephen Sinclair <radarsat1@gmail.com>
Section: science
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-yaml,
 python3-numpy,
 python3-scipy,
 python3-theano,
 python3-h5py,
 python3-pytest,
 python3-pandas,
 python3-pil,
 markdown,
 mkdocs,
 links
Standards-Version: 4.1.1
Homepage: http://keras.io/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/keras.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/keras.git
X-Python3-Version: >= 3.5

Package: python3-keras
Architecture: all
Section: python
Depends:
 python3-numpy,
 python3-scipy,
 python3-h5py,
 python3-theano,
 ${misc:Depends},
 ${python3:Depends}
Description: deep learning framework running on Theano or TensorFlow
 Keras is a Python library for machine learning based on deep (multi-
 layered) artificial neural networks (DNN), which follows a minimalistic
 and modular design with a focus on fast experimentation.
 .
 Features of DNNs like neural layers, cost functions, optimizers,
 initialization schemes, activation functions and regularization schemes
 are available in Keras a standalone modules which can be plugged together
 as wanted to create sequence models or more complex architectures.
 Keras supports convolutions neural networks (CNN, used for image
 recognition resp. classification) and recurrent neural networks (RNN,
 suitable for sequence analysis like in natural language processing).
 .
 It runs as an abstraction layer on the top of Theano (math expression
 compiler) by default, which makes it possible to accelerate the computations
 by using (GP)GPU devices. Alternatively, Keras could run on Google's
 TensorFlow (not yet available in Debian, but coming up).

Package: keras-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Suggests:
 python3-keras
Description: CPU/GPU math expression compiler for Python (docs)
 Keras is a Python library for machine learning based on deep (multi-
 layered) artificial neural networks (DNN), which follows a minimalistic
 and modular design with a focus on fast experimentation.
 .
 Features of DNNs like neural layers, cost functions, optimizers,
 initialization schemes, activation functions and regularization schemes
 are available in Keras a standalone modules which can be plugged together
 as wanted to create sequence models or more complex architectures.
 Keras supports convolutions neural networks (CNN, used for image
 recognition resp. classification) and recurrent neural networks (RNN,
 suitable for sequence analysis like in natural language processing).
 .
 It runs as an abstraction layer on the top of Theano (math expression
 compiler) by default, which makes it possible to accelerate the computations
 by using (GP)GPU devices. Alternatively, Keras could run on Google's
 TensorFlow (not yet available in Debian, but coming up).
 .
 This package contains the documentation for Keras.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=keras

export KERAS_BACKEND=theano
export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
export PYTHONDONTWRITEBYTECODE=1

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

# require tensorflow but not SKIPPED
TESTSTOIGNORE=\
  tests/keras/layers/cudnn_recurrent_test.py \
  tests/keras/utils/multi_gpu_test.py

# failure: ActivityRegularizer class doesn't have any documentation
TESTSTOIGNORE+=tests/test_documentation.py

# internal failure, bad function calls
TESTSTOIGNORE+=\
  tests/integration_tests/test_image_data_tasks.py \
  tests/integration_tests/test_temporal_data_tasks.py \
  tests/keras/applications/imagenet_utils_test.py \
  tests/keras/backend/backend_test.py

# need to access the internet
TESTSTOIGNORE+=\
  tests/keras/applications/imagenet_utils_test.py \
  tests/keras/datasets/test_datasets.py

IGNORETESTS=$(TESTSTOIGNORE:%=--ignore=%)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build
# In the PyPI distribution the file CONTRIBUTING.md is missing, which
# causes an error during doc build, so make it an empty file.
	cd docs && sh -c "env PYTHONDONTWRITEBYTECODE=1 PYTHONPATH=.. python3 autogen.py && mkdocs build --site-dir=html"
# Despite PYTHONDONTWRITEBYTECODE, a __pycache__ is nonetheless generated by mkdocs!
	find . -type d -name __pycache__ | xargs rm -rfv
# Distributed docs should not contain any programs
	rm -fv docs/html/*.py

override_dh_auto_test:
# Run tests using Theano backend and CPU device.
# Not every test is expected to pass, so we run a subset here:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=.pybuild/pythonX.Y_{version}/build py.test-3 -oaddopts=-v $(IGNORETESTS)" dh_auto_test

override_dh_installdocs:
	markdown README.md > .pybuild/README.html
	links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

override_dh_compress:
	dh_compress -X.py

=== debian/tests/control ===
Tests: python3-theano-cpu
Depends: python3-keras, python3-pytest
Restrictions: allow-stderr
# Add allow-stderr restriction because impossible to suppress backend announcement ("Using Theano backend.") on stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Keras/Keras-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## keras 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.0.9
+Version: 2.1.2
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -13,7 +13,7 @@
   person("Martin", "Studer", role = c("ctb", "cph"))
   )
 Description: Interface to 'Keras' <https://keras.io>, a high-level neural
-  networks API. 'Keras' was developed with a focus on enabling fast experimentation,
+  networks 'API'. 'Keras' was developed with a focus on enabling fast experimentation,
   supports both convolution based networks and recurrent networks (as well as
   combinations of the two), and runs seamlessly on both 'CPU' and 'GPU' devices.
 Encoding: UTF-8
@@ -21,14 +21,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.3), tensorflow (>= 1.4.1), tfruns (>= 0.9.1),
+Imports: reticulate (>= 1.3.1), tensorflow (>= 1.4.1), tfruns (>= 1.0),
         magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-11-17 00:43:28 UTC; jjallaire
+Packaged: 2017-12-17 12:10:04 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -39,4 +39,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-11-17 04:11:14 UTC
+Date/Publication: 2017-12-17 12:31:20 UTC

## keras 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.1.2
+Version: 2.1.3
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -21,14 +21,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.3.1), tensorflow (>= 1.4.1), tfruns (>= 1.0),
+Imports: reticulate (>= 1.4), tensorflow (>= 1.5), tfruns (>= 1.0),
         magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-12-17 12:10:04 UTC; jjallaire
+Packaged: 2018-01-17 17:44:11 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -39,4 +39,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-12-17 12:31:20 UTC
+Date/Publication: 2018-01-17 18:08:54 UTC

## keras 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.1.3
+Version: 2.1.4
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -21,14 +21,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.4), tensorflow (>= 1.5), tfruns (>= 1.0),
+Imports: reticulate (>= 1.5), tensorflow (>= 1.5), tfruns (>= 1.0),
         magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-01-17 17:44:11 UTC; jjallaire
+Packaged: 2018-02-23 23:20:20 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -39,4 +39,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-01-17 18:08:54 UTC
+Date/Publication: 2018-02-24 21:32:15 UTC

## keras 2.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.1.4
+Version: 2.1.5
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
   person(family = "RStudio", role = c("ctb", "cph", "fnd")),
   person(family = "Google", role = c("ctb", "cph", "fnd")),
-  person("Yuan", "Tang", role = c("ctb", "cph")),
+  person("Yuan", "Tang", role = c("ctb", "cph"),
+         email = "terrytangyuan@gmail.com",
+         comment = c(ORCID = "0000-0001-5243-233X")),
   person("Daniel", "Falbel", role = c("ctb", "cph")),
   person("Wouter", "Van Der Bijl", role = c("ctb", "cph")),
   person("Martin", "Studer", role = c("ctb", "cph"))
@@ -28,15 +30,15 @@
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-02-23 23:20:20 UTC; jjallaire
+Packaged: 2018-03-24 11:46:06 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
   Google [ctb, cph, fnd],
-  Yuan Tang [ctb, cph],
+  Yuan Tang [ctb, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Daniel Falbel [ctb, cph],
   Wouter Van Der Bijl [ctb, cph],
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-02-24 21:32:15 UTC
+Date/Publication: 2018-03-25 15:25:14 UTC

=== debian/changelog ===
keras (2.1.5-2) unstable; urgency=medium

  * Team upload.
  * debian/tests:
    + add python3-distutils to Depends
  * debian/control:
    + add python3-distutils to Depends

 -- Daniel Stender <stender@debian.org>  Tue, 27 Mar 2018 17:39:30 +0200

keras (2.1.5-1) unstable; urgency=medium

  * Team upload.
  [ Stephen Sinclair ]
  * New upstream version 2.1.5.
  * patches:
    + Update mkdocs.yml patch to match new repo_url
  * debian/rules:
    + Exclude test_topology.py (requires Tensorflow)
    + imagenet_utils_test.py was listed twice
    + test_documentation.py tries to load Tensorflow
    + convolutional_test.py internal failure
    + test_callbacks.py tries to load Tensorflow
    + test_datasets.py moved to tests/integration_tests
  * debian/control:
    + build-dep python3-nose, required by test_model_saving.py
    + build-dep python3-pydot, required by vis_utils_test.py
    + update Vcs-Git and Vcs-Browser to salsa.
    + update to Debian standards 4.1.3 (no changes required)
    + update debhelper to 11
  * debian/copyright:
    + Update github URL to keras-team/keras
    + Update year to 2018
  * debian/tests:
    + python3-theano-cpu, input datatype changed to array

 -- Daniel Stender <stender@debian.org>  Mon, 19 Mar 2018 22:33:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -18,13 +18,16 @@
  python3-pytest,
  python3-pandas,
  python3-pil,
+ python3-nose,
+ python3-pydot,
+ python3-distutils,
  markdown,
  mkdocs,
  links
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://keras.io/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/keras.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/keras.git
+Vcs-Git: https://salsa.debian.org/science-team/keras.git
+Vcs-Browser: https://salsa.debian.org/science-team/keras
 X-Python3-Version: >= 3.5
 
 Package: python3-keras

=== debian/rules ===
--- 
+++ 
@@ -13,22 +13,22 @@
 # require tensorflow but not SKIPPED
 TESTSTOIGNORE=\
   tests/keras/layers/cudnn_recurrent_test.py \
-  tests/keras/utils/multi_gpu_test.py
-
-# failure: ActivityRegularizer class doesn't have any documentation
-TESTSTOIGNORE+=tests/test_documentation.py
+  tests/keras/utils/multi_gpu_test.py \
+  tests/keras/engine/test_topology.py \
+  tests/test_documentation.py \
+  tests/keras/test_callbacks.py
 
 # internal failure, bad function calls
 TESTSTOIGNORE+=\
   tests/integration_tests/test_image_data_tasks.py \
   tests/integration_tests/test_temporal_data_tasks.py \
-  tests/keras/applications/imagenet_utils_test.py \
-  tests/keras/backend/backend_test.py
+  tests/keras/backend/backend_test.py \
+  tests/keras/layers/convolutional_test.py
 
 # need to access the internet
 TESTSTOIGNORE+=\
   tests/keras/applications/imagenet_utils_test.py \
-  tests/keras/datasets/test_datasets.py
+  tests/integration_tests/test_datasets.py
 
 IGNORETESTS=$(TESTSTOIGNORE:%=--ignore=%)

=== debian/tests/control ===
Tests: python3-theano-cpu
Depends: python3-keras, python3-pytest, python3-distutils
Restrictions: allow-stderr
# Add allow-stderr restriction because impossible to suppress backend announcement ("Using Theano backend.") on stderr

## keras 2.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.1.5
+Version: 2.1.6
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -30,7 +30,7 @@
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-03-24 11:46:06 UTC; jjallaire
+Packaged: 2018-04-29 11:31:28 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -41,4 +41,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-03-25 15:25:14 UTC
+Date/Publication: 2018-04-29 20:08:05 UTC

## keras 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.1.6
+Version: 2.2.0
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -23,14 +23,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.5), tensorflow (>= 1.5), tfruns (>= 1.0),
+Imports: reticulate (>= 1.10), tensorflow (>= 1.9), tfruns (>= 1.0),
         magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-04-29 11:31:28 UTC; jjallaire
+Packaged: 2018-08-24 09:15:52 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -41,4 +41,4 @@
   Martin Studer [ctb, cph]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-04-29 20:08:05 UTC
+Date/Publication: 2018-08-24 11:32:13 UTC

## keras 2.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.2.0
+Version: 2.2.4
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person("François", "Chollet", role = c("aut", "cph")),
@@ -12,7 +12,8 @@
          comment = c(ORCID = "0000-0001-5243-233X")),
   person("Daniel", "Falbel", role = c("ctb", "cph")),
   person("Wouter", "Van Der Bijl", role = c("ctb", "cph")),
-  person("Martin", "Studer", role = c("ctb", "cph"))
+  person("Martin", "Studer", role = c("ctb", "cph")),
+  person("Sigrid", "Keydana", role = c("ctb"))
   )
 Description: Interface to 'Keras' <https://keras.io>, a high-level neural
   networks 'API'. 'Keras' was developed with a focus on enabling fast experimentation,
@@ -23,14 +24,14 @@
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
-Imports: reticulate (>= 1.10), tensorflow (>= 1.9), tfruns (>= 1.0),
-        magrittr, zeallot, methods, R6
+Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
+        1.10), tfruns (>= 1.0), magrittr, zeallot, methods, R6
 Suggests: ggplot2, testthat, knitr, rmarkdown
 SystemRequirements: Keras >= 2.0 (https://keras.io)
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0.9000
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-08-24 09:15:52 UTC; jjallaire
+Packaged: 2018-11-22 03:09:34 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -38,7 +39,8 @@
   Yuan Tang [ctb, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Daniel Falbel [ctb, cph],
   Wouter Van Der Bijl [ctb, cph],
-  Martin Studer [ctb, cph]
+  Martin Studer [ctb, cph],
+  Sigrid Keydana [ctb]
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-08-24 11:32:13 UTC
+Date/Publication: 2018-11-22 14:00:03 UTC

=== debian/changelog ===
keras (2.2.4-1) unstable; urgency=medium

  * Team upload.

  [ Stephen Sinclair ]
  * New upstream version 2.2.4.
  * debian/control:
    + update standards to 4.3.0.
    + add BD for new keras-related packages,
      namely keras-preprocessing, keras-applications.
    + remove promise of TensorFlow packaging.
  * debian/rules:
    + update tests to ignore.
    + fix cwd for running tests.
    + use find for removing unwanted files.
    + support DEB_BUILD_OPTIONS=nodoc.
    + remove bundled files and depend on libjs-jquery for docs.
    + remove bundled filed and depend on libjs-mustache for docs.
    + remove bundled files and depend on fonts-font-awesome for docs.
    + enable DH_VERBOSE=1.
    + add LANG=C.UTF-8 for links.
    + remove a commented DEB_BUILD_OPTIONS.
  * debian/tests:
    + add autopkgtest for default config without specifying backend.
  * debian/patches:
    + rebase patches.
    + ensure "docs" is not discovered as a module to install by setuptools.
    + Change default backend to theano (Closes: #896295).
  * debian/copyright:
    + add all *.pyc and __pycache__ files to Files-Excluded.
    + update year to 2019.
  * debian/gitlab-ci.yml:
    + add support for salsa gitlab CI.
  * debian/clean:
    + add docs/sources, docs/html, docs/.pybuild and .pybuild.
  * Specify keras-applications and keras-preprocessing versions.
  * Do not call dh with mkdocs when nodoc.

  [ Dmitry Shachnev ]
  * Use dh_mkdocs instead of unbundling static files manually.

 -- Daniel Stender <stender@debian.org>  Thu, 17 Jan 2019 23:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,12 @@
  python3-nose,
  python3-pydot,
  python3-distutils,
+ python3-keras-applications (>= 1.0.4),
+ python3-keras-preprocessing (>= 1.0.2),
  markdown,
- mkdocs,
+ mkdocs (>= 1.0.4) <!nodoc>,
  links
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://keras.io/
 Vcs-Git: https://salsa.debian.org/science-team/keras.git
 Vcs-Browser: https://salsa.debian.org/science-team/keras
@@ -56,13 +58,13 @@
  It runs as an abstraction layer on the top of Theano (math expression
  compiler) by default, which makes it possible to accelerate the computations
  by using (GP)GPU devices. Alternatively, Keras could run on Google's
- TensorFlow (not yet available in Debian, but coming up).
+ TensorFlow (not yet available in Debian).
 
 Package: keras-doc
 Architecture: all
 Section: doc
 Depends:
- ${misc:Depends}
+ ${misc:Depends}, ${mkdocs:Depends}
 Suggests:
  python3-keras
 Description: CPU/GPU math expression compiler for Python (docs)
@@ -81,6 +83,6 @@
  It runs as an abstraction layer on the top of Theano (math expression
  compiler) by default, which makes it possible to accelerate the computations
  by using (GP)GPU devices. Alternatively, Keras could run on Google's
- TensorFlow (not yet available in Debian, but coming up).
+ TensorFlow (not yet available in Debian).
  .
  This package contains the documentation for Keras.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=keras

export KERAS_BACKEND=theano
export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
export PYTHONDONTWRITEBYTECODE=1

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

# require tensorflow but not SKIPPED
TESTSTOIGNORE=\
  tests/keras/utils/multi_gpu_test.py \
  tests/test_documentation.py \
  tests/keras/test_callbacks.py

# internal failure, bad function calls
TESTSTOIGNORE+=\
  tests/integration_tests/test_image_data_tasks.py \
  tests/integration_tests/test_temporal_data_tasks.py \
  tests/keras/backend/backend_test.py

# need to access the internet
TESTSTOIGNORE+=\
  tests/integration_tests/imagenet_utils_test.py \
  tests/integration_tests/test_datasets.py

# related to docs gen not found in build dir
TESTSTOIGNORE+=\
  tests/test_doc_auto_generation.py

IGNORETESTS=$(TESTSTOIGNORE:%=--ignore=%)

%:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh $@ --with mkdocs,python3 --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build-indep:
	dh_auto_build
# In the PyPI distribution the file CONTRIBUTING.md is missing, which
# causes an error during doc build, so make it an empty file.
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && sh -c "env PYTHONDONTWRITEBYTECODE=1 PYTHONPATH=.. python3 autogen.py && mkdocs build --site-dir=html"
else
	mkdir -p docs/html
	echo '<html><head><title>Keras</title></head></html>' > docs/html/index.html
endif

# Despite PYTHONDONTWRITEBYTECODE, a __pycache__ is nonetheless generated by mkdocs!
	find . -type d -name __pycache__ -exec rm -fv {} \;
# Distributed docs should not contain any programs
	find docs/html -name \*.py -exec rm -fv {} \;

override_dh_auto_test:
# Run tests using Theano backend and CPU device.
# Not every test is expected to pass, so we run a subset here:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} && py.test-3 -oaddopts=-v $(IGNORETESTS)" dh_auto_test

override_dh_installdocs:
	markdown README.md > .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

override_dh_compress:
	dh_compress -X.py

=== debian/tests/control ===
Tests: python3-theano-cpu python3-default
Depends: python3-keras, python3-pytest, python3-distutils
Restrictions: allow-stderr
# Add allow-stderr restriction because impossible to suppress backend announcement ("Using Theano backend.") on stderr

## keras 2.2.4.1

=== DESCRIPTION ===
Package: keras
Type: Package
Title: R Interface to 'Keras'
Version: 2.2.4.1
Authors@R: c(
  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
  person("JJ", "Allaire", role = c("aut", "cph")),
  person("François", "Chollet", role = c("aut", "cph")),
  person(family = "RStudio", role = c("ctb", "cph", "fnd")),
  person(family = "Google", role = c("ctb", "cph", "fnd")),
  person("Yuan", "Tang", role = c("ctb", "cph"),
         email = "terrytangyuan@gmail.com",
         comment = c(ORCID = "0000-0001-5243-233X")),
  person("Wouter", "Van Der Bijl", role = c("ctb", "cph")),
  person("Martin", "Studer", role = c("ctb", "cph")),
  person("Sigrid", "Keydana", role = c("ctb"))
  )
Description: Interface to 'Keras' <https://keras.io>, a high-level neural
  networks 'API'. 'Keras' was developed with a focus on enabling fast experimentation,
  supports both convolution based networks and recurrent networks (as well as
  combinations of the two), and runs seamlessly on both 'CPU' and 'GPU' devices.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://keras.rstudio.com
BugReports: https://github.com/rstudio/keras/issues
Depends: R (>= 3.2)
Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
        1.13.1), tfruns (>= 1.0), magrittr, zeallot, methods, R6
Suggests: ggplot2, testthat, knitr, rmarkdown
SystemRequirements: Keras >= 2.0 (https://keras.io)
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-04-05 14:46:57 UTC; dfalbel
Author: Daniel Falbel [ctb, cph, cre],
  JJ Allaire [aut, cph],
  François Chollet [aut, cph],
  RStudio [ctb, cph, fnd],
  Google [ctb, cph, fnd],
  Yuan Tang [ctb, cph] (<https://orcid.org/0000-0001-5243-233X>),
  Wouter Van Der Bijl [ctb, cph],
  Martin Studer [ctb, cph],
  Sigrid Keydana [ctb]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2019-04-05 21:30:08 UTC

## keras 2.2.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.2.4.1
+Version: 2.2.5.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -25,13 +25,14 @@
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
 Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
-        1.13.1), tfruns (>= 1.0), magrittr, zeallot, methods, R6
-Suggests: ggplot2, testthat, knitr, rmarkdown
+        2.0.0), tfruns (>= 1.0), magrittr, zeallot, methods, R6
+Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, tfdatasets,
+        jpeg
 SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-04-05 14:46:57 UTC; dfalbel
+Packaged: 2019-10-08 17:30:39 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   François Chollet [aut, cph],
@@ -43,4 +44,4 @@
   Sigrid Keydana [ctb]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-04-05 21:30:08 UTC
+Date/Publication: 2019-10-08 18:10:02 UTC

## keras 2.3.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.2.5.0
+Version: 2.3.0.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -29,10 +29,10 @@
 Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, tfdatasets,
         jpeg
 SystemRequirements: Keras >= 2.0 (https://keras.io)
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-10-08 17:30:39 UTC; dfalbel
+Packaged: 2020-05-19 18:26:18 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   François Chollet [aut, cph],
@@ -44,4 +44,4 @@
   Sigrid Keydana [ctb]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-10-08 18:10:02 UTC
+Date/Publication: 2020-05-19 20:30:02 UTC

## keras 2.3.1%2Bdfsg

=== debian/control ===
Source: keras
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stephen Sinclair <radarsat1@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
               python3-yaml,
               python3-numpy,
               python3-scipy,
               python3-theano,
               python3-h5py,
               python3-pytest,
               python3-pandas,
               python3-pil,
               python3-nose,
               python3-pydot,
               python3-distutils,
               python3-flaky,
               python3-keras-applications (>= 1.0.8),
               python3-keras-preprocessing (>= 1.1.0),
               markdown,
               links
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/keras
Vcs-Git: https://salsa.debian.org/science-team/keras.git
Homepage: https://keras.io/
X-Python3-Version: >= 3.8

Package: python3-keras
Architecture: all
Section: python
Depends: python3-numpy,
         python3-scipy,
         python3-h5py,
         python3-theano,
         ${misc:Depends},
         ${python3:Depends}
Description: deep learning framework running on Theano or TensorFlow
 Keras is a Python library for machine learning based on deep (multi-
 layered) artificial neural networks (DNN), which follows a minimalistic
 and modular design with a focus on fast experimentation.
 .
 Features of DNNs like neural layers, cost functions, optimizers,
 initialization schemes, activation functions and regularization schemes
 are available in Keras a standalone modules which can be plugged together
 as wanted to create sequence models or more complex architectures.
 Keras supports convolutions neural networks (CNN, used for image
 recognition resp. classification) and recurrent neural networks (RNN,
 suitable for sequence analysis like in natural language processing).
 .
 It runs as an abstraction layer on the top of Theano (math expression
 compiler) by default, which makes it possible to accelerate the computations
 by using (GP)GPU devices. Alternatively, Keras could run on Google's
 TensorFlow (not yet available in Debian).

## keras 2.3.1+dfsg

=== debian/changelog ===
keras (2.3.1+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Fix use of is with literals. (Closes: #958038)

 -- Stephen Sinclair <radarsat1@gmail.com>  Thu, 02 Jul 2020 22:03:37 +0000

keras (2.3.1+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + fix test regression for python3-h5py 2.10.0-8.
      (Closes: #963426)

 -- Stephen Sinclair <radarsat1@gmail.com>  Wed, 24 Jun 2020 06:38:25 +0000

keras (2.3.1+dfsg-1) unstable; urgency=medium

  [ Stephen Sinclair ]
  * New upstream version 2.3.1.
  * debian/watch:
    + add dversionmangle for +dfsg suffix.
  * debian/control:
    + update standards to 4.5.0 (no changes).
    + add build-dep on python3-flaky.
    + remove package keras-doc.
    + update required python version to 3.8.
    + update required keras-preprocessing to 1.1.0
    + update required keras-applications to 1.0.8
  * debian/patches:
    + refresh patches for new version.
    + add a tolerance for an activations test. (Closes: #952163)
  * debian/rules:
    + ignore two tests requiring unpackaged dependencies.

  [ Anton Gladky ]
  * [8c694c3] Remove d/keras-doc* files
  * [2664dc6] Apply cme fix dpkg
  * [09ca50c] Use secure URI in Homepage field.
  * [d388ac9] Bump debhelper from old 11 to 12.
  * [49333c1] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Stephen Sinclair <radarsat1@gmail.com>  Fri, 20 Mar 2020 16:02:33 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=keras

export KERAS_BACKEND=theano
export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
export PYTHONDONTWRITEBYTECODE=1

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

# require tensorflow but not SKIPPED
TESTSTOIGNORE=\
  tests/keras/utils/multi_gpu_test.py \
  tests/docs/test_documentation.py \
  tests/keras/callbacks/callbacks_test.py \
  tests/keras/metrics_confusion_matrix_test.py

# internal failure, bad function calls
TESTSTOIGNORE+=\
  tests/integration_tests/test_image_data_tasks.py \
  tests/integration_tests/test_temporal_data_tasks.py \
  tests/keras/backend/backend_test.py

# need to access the internet
TESTSTOIGNORE+=\
  tests/integration_tests/imagenet_utils_test.py \
  tests/integration_tests/test_datasets.py

# related to docs gen not found in build dir
TESTSTOIGNORE+=\
  tests/docs/test_doc_auto_generation.py

# requires pyux, not packaged in debian
TESTSTOIGNORE+=\
  tests/test_api.py

IGNORETESTS=$(TESTSTOIGNORE:%=--ignore=%)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build

override_dh_auto_test:
# Run tests using Theano backend and CPU device.
# Not every test is expected to pass, so we run a subset here:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} && py.test-3 -oaddopts=-v $(IGNORETESTS)" dh_auto_test

override_dh_installdocs:
	markdown README.md > .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

override_dh_compress:
	dh_compress -X.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg// \
https://pypi.debian.net/Keras/Keras-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## keras 2.3.1+dfsg2

=== debian/changelog ===
keras (2.3.1+dfsg2-1) unstable; urgency=medium

  * Repack upstream to exclude pre-built docs.  (Fixes source-is-missing.)
  * Update imports from collections to collections.abc for Python 3.10.
    (Closes: #1009094)
  * Update use of strings in h5py, decode from UTF-8 no longer necessary.
    (Closes: #997068)
  * Remove outdated dependency on python3-nose.  (Closes: #1018385)
  * Update standards version to 4.6.1.
  * Do not clean docs sources or non-existent html dir.

 -- Stephen Sinclair <radarsat1@gmail.com>  Fri, 16 Sep 2022 11:27:52 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-pytest,
                python3-pandas,
                python3-pil,
-               python3-nose,
                python3-pydot,
                python3-distutils,
                python3-flaky,
@@ -24,7 +23,7 @@
                python3-keras-preprocessing (>= 1.1.0),
                markdown,
                links
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/keras
 Vcs-Git: https://salsa.debian.org/science-team/keras.git
 Homepage: https://keras.io/

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg// \
https://pypi.debian.net/keras/Keras-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## keras 2.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.3.0.0
+Version: 2.4.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -25,14 +25,14 @@
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
 Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
-        2.0.0), tfruns (>= 1.0), magrittr, zeallot, methods, R6
+        2.0.0), tfruns (>= 1.0), magrittr, zeallot, methods, R6, rlang
 Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, tfdatasets,
         jpeg
 SystemRequirements: Keras >= 2.0 (https://keras.io)
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-05-19 18:26:18 UTC; dfalbel
+Packaged: 2021-03-29 17:54:32 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   François Chollet [aut, cph],
@@ -44,4 +44,4 @@
   Sigrid Keydana [ctb]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-05-19 20:30:02 UTC
+Date/Publication: 2021-03-29 18:30:07 UTC

## keras 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.4.0
+Version: 2.6.0
 Authors@R: c(
-  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
+  person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
+         email = "tomasz.kalinowski@rstudio.com"),
+  person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
   person("François", "Chollet", role = c("aut", "cph")),
   person(family = "RStudio", role = c("ctb", "cph", "fnd")),
@@ -25,15 +27,16 @@
 BugReports: https://github.com/rstudio/keras/issues
 Depends: R (>= 3.2)
 Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
-        2.0.0), tfruns (>= 1.0), magrittr, zeallot, methods, R6, rlang
+        2.6.0), tfruns (>= 1.0), magrittr, zeallot, glue, methods, R6,
+        ellipsis, rlang
 Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, tfdatasets,
         jpeg
-SystemRequirements: Keras >= 2.0 (https://keras.io)
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-03-29 17:54:32 UTC; dfalbel
-Author: Daniel Falbel [ctb, cph, cre],
+Packaged: 2021-08-20 17:35:45 UTC; tomasz
+Author: Tomasz Kalinowski [ctb, cph, cre],
+  Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   François Chollet [aut, cph],
   RStudio [ctb, cph, fnd],
@@ -42,6 +45,6 @@
   Wouter Van Der Bijl [ctb, cph],
   Martin Studer [ctb, cph],
   Sigrid Keydana [ctb]
-Maintainer: Daniel Falbel <daniel@rstudio.com>
+Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-03-29 18:30:07 UTC
+Date/Publication: 2021-08-21 04:50:02 UTC

## keras 2.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: keras
 Type: Package
 Title: R Interface to 'Keras'
-Version: 2.6.0
+Version: 2.6.1
 Authors@R: c(
   person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
          email = "tomasz.kalinowski@rstudio.com"),
@@ -25,16 +25,16 @@
 License: MIT + file LICENSE
 URL: https://keras.rstudio.com
 BugReports: https://github.com/rstudio/keras/issues
-Depends: R (>= 3.2)
+Depends: R (>= 3.4)
 Imports: generics (>= 0.0.1), reticulate (>= 1.10), tensorflow (>=
         2.6.0), tfruns (>= 1.0), magrittr, zeallot, glue, methods, R6,
         ellipsis, rlang
-Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, tfdatasets,
-        jpeg
-RoxygenNote: 7.1.1
+Suggests: ggplot2, testthat (>= 2.1.0), knitr, rmarkdown, callr,
+        tfdatasets, jpeg
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-08-20 17:35:45 UTC; tomasz
+Packaged: 2021-09-30 18:55:06 UTC; tomasz
 Author: Tomasz Kalinowski [ctb, cph, cre],
   Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
@@ -47,4 +47,4 @@
   Sigrid Keydana [ctb]
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-08-21 04:50:02 UTC
+Date/Publication: 2021-09-30 19:20:02 UTC
